- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QFileIconProvider Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qfileiconprovider.h.

`#include <qfileiconprovider.h>`

List of all members.

## Public Types
enum | IconType { Computer, Desktop, Trashcan, Network, Drive, Folder, File }
## Public Member Functions
| QFileIconProvider ()
virtual | ~QFileIconProvider ()
virtual QIcon | icon (IconType type) const
virtual QIcon | icon (const QFileInfo &info) const
virtual QString | type (const QFileInfo &info) const

## Member Enumeration Documentation

enum IconType

Search for all occurrences

Enumerator:

  Computer | Search for all occurrences
  Desktop | Search for all occurrences
  Trashcan | Search for all occurrences
  Network | Search for all occurrences
  Drive | Search for all occurrences
  Folder | Search for all occurrences
  File | Search for all occurrences

Definition at line 64 of file qfileiconprovider.h.

    { Computer, Desktop, Trashcan, Network, Drive, Folder, File };

## Constructor & Destructor Documentation

QFileIconProvider | ( |  | ) |

virtual ~QFileIconProvider | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QIcon icon | ( | IconType | type | ) | const `[virtual]`

Search for all occurrences

virtual QIcon icon | ( | const QFileInfo & | info | ) | const `[virtual]`

Search for all occurrences

virtual QString type | ( | const QFileInfo & | info | ) | const `[virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qfileiconprovider.h

QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider
QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider QFileIconProvider